# Created by pyp2rpm-3.3.2
%global pypi_name qtsass

Name:           python-%{pypi_name}
Version:        0.4.0
Release:        %mkrel 3
Summary:        Compile SCSS files to valid Qt stylesheets
Group:          Development/Python

License:        MIT
URL:            https://github.com/spyder-ide/qtsass
Source0:        https://files.pythonhosted.org/packages/source/q/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
SASS brings countless amazing features to CSS. Besides being used in web
development, CSS is also the way to stylize Qt-based desktop applications.
However, Qt's CSS has a few variations that prevent the direct use of
SASS compiler. The purpose of this tool is to fill the gap between SASS
and Qt-CSS by handling those variations.

%package -n     python3-%{pypi_name}
Summary:        Compile SCSS files to valid Qt stylesheets
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(libsass)
Requires:       python3dist(setuptools)
Requires:       python3dist(watchdog)

%description -n python3-%{pypi_name}
SASS brings countless amazing features to CSS. Besides being used in web
development, CSS is also the way to stylize Qt-based desktop applications.
However, Qt's CSS has a few variations that prevent the direct use of
SASS compiler. The purpose of this tool is to fill the gap between SASS
and Qt-CSS by handling those variations.


%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.md
%{_bindir}/qtsass


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.4.0-3.mga10
+ Revision: 2241316
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 0.4.0-2.mga10
+ Revision: 2158699
- rebuild for python3.13

* Mon Jan 01 2024 daviddavid <daviddavid> 0.4.0-1.mga10
+ Revision: 2025322
- new version: 0.4.0
- rebuild for py3.12
- switch to pyproject

* Wed Mar 23 2022 umeabot <umeabot> 0.3.0-3.mga9
+ Revision: 1822948
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 mrambo3501 <mrambo3501> 0.3.0-2.mga9
+ Revision: 1778364
- rebuild for python-3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 0.3.0-1.mga9
+ Revision: 1707591
- new version: 0.3.0

* Mon Mar 22 2021 daviddavid <daviddavid> 0.1.1-2.mga9
+ Revision: 1707505
- rebuild for python 3.9

* Thu Sep 10 2020 joequant <joequant> 0.1.1-1.mga8
+ Revision: 1624129
- imported package python-qtsass

